Package uk.ac.starlink.table.join

# Interface SkyPixellator

All Known Implementing Classes:
  `CdsHealpixSkyPixellator`, `HealpixSkyPixellator`, `HtmSkyPixellator`

public interface SkyPixellator
Provides a pixellisation of the celestial sphere. Usually it is necessary to call `setScale(double)` before an instance of this class can be used.

Since:
  5 Sep 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Supplier<FixedRadiusConePixer>`
`createFixedRadiusPixerFactory(double radius)`
Returns a factory for fixed radius pixel calculators based on the current settings of this object.
`Supplier<VariableRadiusConePixer>`
`createVariableRadiusPixerFactory()`
Returns a factory for variable radius pixel calculators based on the current settings of this object.
`double`
`getScale()`
Returns the most recently set angular scale.
`uk.ac.starlink.table.DescribedValue`
`getTuningParameter()`
Returns a parameter whose value may be adjusted to alter the pixellisation scale.
`void`
`setScale(double scale)`
Sets the characteristic angular scale for this pixellator.

## Method Details

### setScale

void setScale(double scale)
Sets the characteristic angular scale for this pixellator. Pixels should be approximately the size given, so that a larger scale corresponds to larger pixel sizes. The details of pixel size are determined by the details of the pixellation scheme however.

Parameters:
  `scale` - pixel length scale in radians

### getScale

double getScale()
Returns the most recently set angular scale.

Returns:
  pixel length scale in radians

### getTuningParameter

uk.ac.starlink.table.DescribedValue getTuningParameter()
Returns a parameter whose value may be adjusted to alter the pixellisation scale. This is not necessarily the same as the scale attribute (its value need not be an angle).

Returns:
  tuning parameter

### createVariableRadiusPixerFactory

Supplier<VariableRadiusConePixer> createVariableRadiusPixerFactory()
Returns a factory for variable radius pixel calculators based on the current settings of this object.

Returns:
  immutable factory for pixel calculators; subsequent changes to this object will not affect the objects it supplies

### createFixedRadiusPixerFactory

Supplier<FixedRadiusConePixer> createFixedRadiusPixerFactory(double radius)
Returns a factory for fixed radius pixel calculators based on the current settings of this object.

Parameters:
  `radius` - cone radius in radians
Returns:
  immutable factory for pixel calculators; subsequent changes to this object will not affect the objects it supplies